Type to search.

Test a workflow step

Base URL
https://{kibana_url}
  • POST /api/workflows/step/test
  • POST /s/{space_id}/api/workflows/step/test
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.4 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Execute a single step from a workflow definition in test mode.

Required privileges

Privileges workflowsManagement:execute

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

contextOverride map string to object required

Context overrides for the step execution.

executionContext map string to object

Execution context for the step execution.

stepId string required

ID of the step to test.

workflowId string

ID of the workflow containing the step.

workflowYaml string required

YAML definition of the workflow containing the step.

Response

200

Indicates a successful response

application/json